org.eclipse.remote.telnet.internal.core

## Class Activator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.remote.telnet.internal.core.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends org.eclipse.core.runtime.Plugin

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.eclipse.core.runtime.Plugin` `getDefault()`
`static void` `log(org.eclipse.core.runtime.IStatus status)`
`static void` `log(java.lang.Throwable e)`
`void` `start(org.osgi.framework.BundleContext bundleContext)`
`void` `stop(org.osgi.framework.BundleContext bundleContext)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`

#### getDefault

    public static org.eclipse.core.runtime.Plugin getDefault()

#### log

    public static void log(org.eclipse.core.runtime.IStatus status)

#### log

    public static void log(java.lang.Throwable e)